Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Feb 2013 06:54:07 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 27 Feb 2013 22:25:48 +0100
> 
> After a couple of hours (like 2 or 3), when I had composed an email and was
> sending it (I had pressed C-c C-c), Emacs wrote "Sending email..." (or
> similar) in the echo area. Normally, that message disappears after a couple of
> seconds, and I'm back to the Group buffer.
> 
> Here, that message did not disappear. After 1 minute or so, I thought that
> Emacs was hanging. I checked my Internet connection, that was OK.
> 
> But seconds later, Emacs still prompted me:
> 
>     Memory exhausted--use C-x s then exit and restart Emacs
> 
> in the echo area, and
> 
>     Emergency (alloc): Warning: past 95% of memory limit
> 
> in a popup buffer.
> 
> I went back to the draft of the email, and tried again, but the message never
> got sent. So, I restarted Emacs as stated.
> 
> These are the symptoms that I observed. Do you expect anything else?
> 
> Clearly, I should have looked at the memory footprint of Emacs, but (for
> reasons which escape me now), I unfortunately did not. But I thought that the
> messages only would help you localizing the cause of the problem.

The messages just say that Emacs is using up a lot of memory for some
reason.

Next time, please look at the memory footprint and also at the CPU
usage, and if the latter is high (meaning that Emacs is looping
somewhere), please attach the debugger and see where it is looping.